#
# spec file for package libass (Version 0.9.7)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libass
Version:        0.9.7
Release:        10.1
Summary:        Portable Library for SSA/ASS Subtitles Rendering
Group:          System/Libraries
Url:            http://code.google.com/p/libass/
Source:         %{name}-%{version}.tar.bz2
License:        GPLv2+
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
BuildRequires:  libpng-devel
BuildRequires:  enca-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Portable Library for SSA/ASS Subtitles Rendering.

%package -n libass4
License:        GPLv2+
Summary:        Portable Library for SSA/ASS Subtitles Rendering
Group:          Development/Libraries/C and C++

%description -n libass4
Portable Library for SSA/ASS Subtitles Rendering.

%package devel
License:        GPLv2+
Summary:        Portable Library for SSA/ASS Subtitles Rendering
Group:          Development/Libraries/C and C++
Requires:       libass4 = %{version} enca-devel fontconfig-devel freetype2-devel glibc-devel

%description devel
This package is needed if you want to develop / compile against libASS.

%prep
%setup -q

%build
%configure\
	--disable-static \
	--disable-shave
%{__make} %{?jobs:-j%{jobs}}

%install
%{__make} DESTDIR='%{buildroot}' install
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post -n libass4 -p /sbin/ldconfig

%postun -n libass4 -p /sbin/ldconfig

%files -n libass4
%defattr(-, root, root)
%{_libdir}/*.so.4*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Sep 26 2009 cmorve69@yahoo.es
- Remove unneeded autoreconf
- Correct license tag
- Make build more verbose so checking tools can do its work
* Tue Aug 11 2009 sbrabec@suse.cz
- New SuSE package, version 0.9.7.
- Name and split according to shared library packaging policy.
* Sat Mar 21 2009 cmorve69@yahoo.es
- and now to the OBS
- update to 0.9.6
* Thu Sep 18 2008 detlef@links2linux.de
- initial build for PackMan to be compatible with vlc-repo
* Tue Aug 26 2008 dominique-rpm@leuenberger.net
- Initial package for version 0.9.5
